// Code generated by MockGen. DO NOT EDIT.
// Source: internal/repositories/member_event_repository.go

// Package mock_repositories is a generated GoMock package.
package mock_repositories

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	model "gitlab.com/z.amir/community-administration-cli/internal/model"
)

// MockMemberEventRepository is a mock of MemberEventRepository interface.
type MockMemberEventRepository struct {
	ctrl     *gomock.Controller
	recorder *MockMemberEventRepositoryMockRecorder
}

// MockMemberEventRepositoryMockRecorder is the mock recorder for MockMemberEventRepository.
type MockMemberEventRepositoryMockRecorder struct {
	mock *MockMemberEventRepository
}

// NewMockMemberEventRepository creates a new mock instance.
func NewMockMemberEventRepository(ctrl *gomock.Controller) *MockMemberEventRepository {
	mock := &MockMemberEventRepository{ctrl: ctrl}
	mock.recorder = &MockMemberEventRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockMemberEventRepository) EXPECT() *MockMemberEventRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockMemberEventRepository) Create(event model.MemberEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", event)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create.
func (mr *MockMemberEventRepositoryMockRecorder) Create(event interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockMemberEventRepository)(nil).Create), event)
}

// Delete mocks base method.
func (m *MockMemberEventRepository) Delete(baseEvent model.BaseMemberEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", baseEvent)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete.
func (mr *MockMemberEventRepositoryMockRecorder) Delete(baseEvent interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockMemberEventRepository)(nil).Delete), baseEvent)
}

// Get mocks base method.
func (m *MockMemberEventRepository) Get(baseEvent model.BaseMemberEvent) (*model.MemberEvent, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", baseEvent)
	ret0, _ := ret[0].(*model.MemberEvent)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockMemberEventRepositoryMockRecorder) Get(baseEvent interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockMemberEventRepository)(nil).Get), baseEvent)
}

// List mocks base method.
func (m *MockMemberEventRepository) List() (*[]model.MemberEvent, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "List")
	ret0, _ := ret[0].(*[]model.MemberEvent)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// List indicates an expected call of List.
func (mr *MockMemberEventRepositoryMockRecorder) List() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "List", reflect.TypeOf((*MockMemberEventRepository)(nil).List))
}

// Update mocks base method.
func (m *MockMemberEventRepository) Update(updatedEvent model.MemberEvent, baseEventToUpdate model.BaseMemberEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", updatedEvent, baseEventToUpdate)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockMemberEventRepositoryMockRecorder) Update(updatedEvent, baseEventToUpdate interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockMemberEventRepository)(nil).Update), updatedEvent, baseEventToUpdate)
}
